MolHash.h File Reference
`#include <map>`
`#include <vector>`
`#include <string>`
`#include <stdexcept>`
`#include <boost/cstdint.hpp>`
`#include "../RDKitBase.h"`

Go to the source code of this file.

## Classes

struct | RDKit::MolHash::HashSet

## Namespaces

| RDKit
| Includes a bunch of functionality for handling Atom and Bond queries.
| RDKit::MolHash

## Typedefs

typedef boost::uint32_t | RDKit::MolHash::HashCodeType

## Enumerations

enum

RDKit::MolHash::CodeFlags {
RDKit::MolHash::CF_NO_LABELS = 0x0000, RDKit::MolHash::CF_ELEMENT = 0x0001, RDKit::MolHash::CF_CHARGE = 0x0002, RDKit::MolHash::CF_VALENCE = 0x0004,
RDKit::MolHash::CF_ISOTOPE = 0x0008, RDKit::MolHash::CF_ATOM_CHIRALITY = 0x0010, RDKit::MolHash::CF_ATOM_AROMATIC = 0x0020, RDKit::MolHash::CF_ATOM_ALL = 0x00FF,
RDKit::MolHash::CF_BOND_ORDER, RDKit::MolHash::CF_BOND_AROMATIZATION = 0x0200, RDKit::MolHash::CF_BOND_TYPE_EXACT, RDKit::MolHash::CF_BOND_CHIRALITY,
RDKit::MolHash::CF_BOND_IN_RING = 0x0800, RDKit::MolHash::CF_BOND_ALL = 0xFF00, RDKit::MolHash::CF_ALL = 0xFFFF
}

## Functions

HashCodeType | RDKit::MolHash::generateMoleculeHashCode (const ROMol &mol, const std::vector< unsigned > *atomsToUse=0, const std::vector< unsigned > *bondsToUse=0, const std::vector< boost::uint32_t > *atomCodes=0, const std::vector< boost::uint32_t > *bondCodes=0)
void | RDKit::MolHash::fillAtomBondCodes (const ROMol &mol, boost::uint64_t flags, std::vector< boost::uint32_t > *atomCodes, std::vector< boost::uint32_t > *bondCodes)
void | RDKit::MolHash::generateMoleculeHashSet (const ROMol &mol, HashSet &res, const std::vector< unsigned > *atomsToUse=0, const std::vector< unsigned > *bondsToUse=0)
std::string | RDKit::MolHash::generateMoleculeHashSet (const ROMol &mol, const std::vector< unsigned > *atomsToUse=0, const std::vector< unsigned > *bondsToUse=0)
std::string | RDKit::MolHash::encode (const void *bin, size_t size)